Subject: bug#51449: 28.0.50; iso-transl overwrites alt key bindings

From: Eli Zaretskii <[email-masked]>
Date: Thu, 28 Oct 2021 12:41:04 +0300

> Date: Thu, 28 Oct 2021 09:12:54 +0100
> From: "Mark Bestley" <[email-masked]>
> Cc: [email-masked]
> 
> On Thu, 28 Oct 2021, at 08:12, Eli Zaretskii wrote:
> 
> >
> > iso-transl is preloaded now.  But I don't think I understand why it
> > gets in your way: can't you unbind the bindings that iso-transl does,
> > if you have no use for them, or rebind them after changing Alt to be a
> > modifier key if you do have use for iso-transl?
> >
> > (Caveat: I don't use a Mac, so I may be missing some Mac-specific
> > issue here.)
> 
> In scratch buffer on emacs - Q
> 
> 
> (setq  mac-command-modifier 'alt)
> 
> (global-set-key (kbd "A-c")  'info)
> (global-set-key (kbd "A-z")  'info)
> 
> Then A-z runs info but A-c just inserts ¢

I'm not arguing against facts, I asked why you cannot undo what
iso-transl does.  For example, disable key-translation-map, or
redefine its entries as you see fit.